Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.validators
Class DWRValidator.ValidatorActionProxy

    java.lang.Object
      com.opensymphony.xwork2.DefaultActionProxy
          org.apache.struts2.validators.DWRValidator.ValidatorActionProxy

All Implemented Interfaces:
  ActionProxy, Serializable

Enclosing class:
  DWRValidator

    public static class DWRValidator.ValidatorActionProxy

extends DefaultActionProxy

See Also:
  Serialized Form

Field Summary
`private static long` | `serialVersionUID`

Fields inherited from class com.opensymphony.xwork2.DefaultActionProxy
`actionEventListener, actionName, cleanupContext, config, configuration, executeResult, extraContext, invocation, method, namespace, objectFactory, unknownHandler`

Constructor Summary
`protected` | `DWRValidator.ValidatorActionProxy(String namespace, String actionName, Map extraContext)`

Method Summary
`void` | `prepare()` Called after all dependencies are set

Methods inherited from class com.opensymphony.xwork2.DefaultActionProxy
`execute, getAction, getActionName, getConfig, getExecuteResult, getInvocation, getMethod, getNamespace, setActionEventListener, setConfiguration, setExecuteResult, setMethod, setObjectFactory, setUnknownHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### DWRValidator.ValidatorActionProxy

    protected DWRValidator.ValidatorActionProxy(String namespace,
                                                String actionName,
                                                Map extraContext)
                                         throws Exception

Throws:
  `Exception`

Method Detail

### prepare

    public void prepare()
                 throws Exception

  Description copied from interface: `ActionProxy`
  Called after all dependencies are set

  Specified by:
    `prepare` in interface `ActionProxy`
  Overrides:
    `prepare` in class `DefaultActionProxy`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.